baseline.peakDetection {baseline} | R Documentation

## Simultaneous Peak Detection and Baseline Correction

### Description

A translation from Kevin R. Coombes et al.'s MATLAB code for detecting peaks and removing baselines

### Usage

    baseline.peakDetection(spectra, left, right, lwin, rwin, snminimum,
    mono=0, multiplier=5, left.right, lwin.rwin)

### Arguments

`spectra` | Matrix with spectra in rows
`left` | Smallest window size for peak widths
`right` | Largest window size for peak widths
`lwin` | Smallest window size for minimums and medians in peak removed spectra
`rwin` | Largest window size for minimums and medians in peak removed spectra
`snminimum` | Minimum signal to noise ratio for accepting peaks
`mono` | Monotonically decreasing baseline if `mono`>0
`multiplier` | Internal window size multiplier
`left.right` | Sets eflt and right to value of `left.right`
`lwin.rwin` | Sets lwin and rwin to value of `lwin.rwin`

### Details

Peak detection is done in several steps sorting out real peaks through different criteria. Peaks are removed from spectra and minimums and medians are used to smooth the remaining parts of the spectra. If `snminimum` is omitted, y3, midspec, y and y2 are not returned (faster)

### Value

`baseline` | Matrix of baselines corresponding to spectra `spectra`
`corrected` | Matrix of baseline corrected spectra
`peaks` | Final list of selected peaks
`sn` | List signal to noise ratios for peaks
`y3` | List of peaks prior to singal to noise selection
`midspec` | Mid-way baseline estimation
`y` | First estimate of peaks
`y2` | Second estimate of peaks

### Author(s)

Kristian Hovde Liland and Bjørn-Helge Mevik

### References

KEVIN R. COOMBES et al.: Quality control and peak finding for proteomics data collected from nipple aspirate fluid by surface-enhanced laser desorption and ionization.

### Examples

    data(milk)
    bc.peakDetection <- baseline(milk$spectra[1,, drop=FALSE], method='peakDetection',
    	left=300, right=300, lwin=50, rwin=50)
    ## Not run:
    	plot(bc.peakDetection)

    ## End(Not run)

[Package baseline version 1.2-1 Index]